Bug 997369 - Button focus glitch
Button focus glitch
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ER4
: 6.0.0
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 06:17 EDT by Jiri Locker
Modified: 2014-08-06 16:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:18:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Button focus glitch (27.35 KB, image/png)
2013-08-15 06:17 EDT, Jiri Locker
no flags Details
Partial fix (104.51 KB, image/png)
2013-11-18 04:15 EST, Jiri Locker
no flags Details

  None (edit)
Description Jiri Locker 2013-08-15 06:17:45 EDT
Created attachment 786882 [details]
Button focus glitch

Description of problem:
For example in Knowledge Base Settings under Project Screen, after clicking a button to add package or session an input dialog pops up but the button doesn't lose its focus and is displayed over the dialog until the dialog is clicked.

Version-Release number of selected component (if applicable):
ER1
Comment 5 Jiri Locker 2013-11-15 10:57:12 EST
Partially fixed. It is no longer displayed over the popup dialog, however it is still clickable until the mouse pointer is moved outside of it. I consider this behaviour a minor issue, which may be fixed later.
Comment 6 manstis 2013-11-15 11:19:54 EST
Hi Jiri, could you please describe the minor issue a bit more, I don't fully understand. Thanks, Mike
Comment 7 Jiri Locker 2013-11-18 04:15:40 EST
Created attachment 825438 [details]
Partial fix

Hi Mike, I hope this screenshot explains it.

There are two differences compared to the state before the fix:
1. The button is _under_ the dialog that popped up after clicking it
2. It loses the focus as soon as mouse pointer _moves over_ some other element

That means the button can be clicked multiple times even if the modal popup is already present. The expected behaviour is that the button should be covered by the popup glass, which prevents interaction outside the modal dialog.

Note You need to log in before you can comment on or make changes to this bug.